ENDPRIMITIVE(3G)

NAME
EndPrimitive - complete the current output primitive on the first vertex stream

DECLARATION

void EndPrimitive(void);

DESCRIPTION

Available only in the Geometry Shader, EndPrimitive completes the current output primitive on the first (and possibly only) vertex stream and starts a new one.No vertex is emitted. Calling EndPrimitive is equivalent to calling EmitStreamVertex() with stream set to 0.

VERSION SUPPORT
 | OpenGL Shading Language Version
Function Name | 1.10 | 1.20 | 1.30 | 1.40 | 1.50 | 3.30 | 4.00 | 4.10 | 4.20 | 4.30 | 4.40 | 4.50
EndPrimitive | - | - | - | - | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔

SEE ALSO

EmitVertex(), EmitStreamVertex(), EndStreamPrimitive()

COPYRIGHT

Copyright © 2011-2014 Khronos Group. This material may be distributed subject to the terms and conditions set forth in the Open Publication License, v 1.0, 8 June 1999. http://opencontent.org/openpub/.

COPYRIGHT
Copyright © 2011-2014 Khronos Group